# 医风医德考评系统

## 📋 项目介绍

医风医德考评系统是一个专为医疗机构设计的综合性评价管理平台，旨在规范医务人员的职业行为，提升医疗服务质量，促进医院文化建设。系统提供日常评估、年度评估等功能，帮助医疗机构建立科学、公正、全面的医德医风评价体系。

## ✨ 功能特点

- **日常评估管理**：记录和管理医务人员的日常工作表现和行为规范
- **年度评估流程**：支持科室、分支机构和医院层面的年度综合评价
- **多级审核机制**：完整的评估审核流程，确保评价公平公正
- **评分等级设置**：灵活配置评分标准和等级划分
- **数据统计分析**：提供多维度的评估数据统计和分析功能
- **权限管理系统**：根据用户角色分配不同的操作权限

## 🛠️ 技术栈

- 前端框架：Vue.js
- 包管理工具：pnpm
- Node.js环境：v16.0.0
- 构建工具：Vite (推测)

## 📁 项目结构

```
src/
├── views/                # 视图组件
│   ├── configuration/    # 配置相关页面
│   ├── day_evaluation/   # 日常评估模块
│   └── year_evaluation/  # 年度评估模块
├── router/               # 路由配置
│   └── module/           # 路由模块
└── ...                   # 其他项目文件
```


## 🚀 快速开始

### 环境要求

- Node.js v16.0.0
- pnpm

### 安装

1. 切换 Node.js 环境

```bash
# 安装 Node.js v16.0.0
nvm install 16.0.0

# 使用 Node.js v16.0.0
nvm use 16.0.0
```

2. 安装 pnpm 和项目依赖

```bash
# 全局安装 pnpm
npm install -g pnpm

# 安装项目依赖
pnpm install
```

### 开发

启动开发服务器:

```bash
npm run dev
```

### 构建

打包项目:

```bash
npm run build
```

## 💻 开发指南

### 模块说明

- **配置模块**：用于设置评分等级、评分标准等系统配置
- **日常评估**：处理医务人员日常行为的记录和评价
- **年度评估**：包含科室、分支机构评审和最终评定等流程

### 分支管理

- main/master：主分支，保存稳定版本代码
- develop：开发分支，用于集成功能分支
- feature/*：功能分支，用于开发新功能

## 📊 部署说明

1. 执行构建命令生成静态文件
   ```bash
   npm run build
   ```

2. 将生成的静态文件部署到 Web 服务器

## 🤝 贡献指南

1. Fork 本仓库
2. 创建功能分支 (`git checkout -b feature/amazing-feature`)
3. 提交您的更改 (`git commit -m 'Add some amazing feature'`)
4. 推送到分支 (`git push origin feature/amazing-feature`)
5. 创建一个 Pull Request

## 📄 许可证

[添加适当的许可证信息]

## 👥 联系方式

[添加项目维护者联系方式]

---

© 2023 医风医德考评系统团队
